function temp_k = f2k(temp_f)
%f2k converts Fahrenheit temperature to Kelvin.
%
% Converts Fahrenheit temperatures to Kelvin and returns result. Returns
% NaN if temperature is out of range.
%
% Arguments
%
% temp_f -- The Fahrenheit temperature to be converted.
%
% Returns
%
% temp_k -- The Kelvin equivalent returned by the function.
%
% Revsion History
%
% Created 11/27/06 by Dr. C. S. Tritt
% Last revised 11/27/11 by Dr. C. S. Tritt
%
% Variables
%
% temp_f -- Entered temperature in Fahrenheit.
% temp_k -- Converted temperature in Kelvin.

%Convert to Kelvin & check for validity.
    temp_k = 5./9.*(temp_f - 32.) + 273.15;
    if (temp_k < 0.) temp_k = NaN;

end % function f2k.