% File: functconv.m
%
% An interactive console program for converting temperatures.  
%
% Purpose: Convert entered temperatures from degrees Fahrenheit to Kelvin 
% using a function.
%
% Input(s): A valid temperature in Fahrenheit. Error checking is done in 
% function f2k.
%
% Output(s): the Kelvin equivalent of the entered temperature.
%
% Calls: f2k
%
% Revsion History
%
% Created 11/27/06 by Dr. C. S. Tritt
%
% Variables
%
% temp_f -- Entered temperature in Fahrenheit.
% temp_k -- Converted temperature in Kelvin.

%Prompt user for input.
temp_f = input('Enter the temperature in deg. F: ');

%Convert to Kelvin
temp_k = f2k(temp_f);

%Display the result. Don't forget the newline.
fprintf('%6.2f deg. F = %6.2f K\n', temp_f, temp_k);